Name:    nde-config
Summary: Config tools for Nde desktop suite
Version: 0.0.1
Release: 13%{?dist}
License: LGPLv2+
URL:     http://www.gd-linux.com
Source0: %{name}-%{version}.tar.gz

BuildRequires: %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: nde-qtxdg-devel >= 0.0.1
BuildRequires: nde-lib-devel >= 0.0.1-6
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(xcursor)
BuildRequires: kf5-kwindowsystem-devel >= 5.5
BuildRequires: pkgconfig(kscreen2)
BuildRequires: desktop-file-utils
BuildRequires: xorg-x11-drv-libinput-devel
BuildRequires:  libstatgrab-devel

%description
%{summary}.

%package l10n
Summary:        Translations for nde-config
Requires:       nde-config
%description l10n
This package provides translations for the nde-config package.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
   %{cmake_nde} -DUSE_QT5=TRUE -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

for cfgapp in monitor input file-associations appearance cursor brightness locale; do
if [ -f %{buildroot}%{_datadir}/applications/nde-config-${cfgapp}.desktop ]; then
sed -i "/^GenericName.*/d" %{buildroot}%{_datadir}/applications/nde-config-${cfgapp}.desktop
sed -i "/^Comment.*/d" %{buildroot}%{_datadir}/applications/nde-config-${cfgapp}.desktop
desktop-file-edit \
    --remove-category=Nde --add-category=X-Nde \
    --remove-category=Help --add-category=X-Help \
    --remove-only-show-in=Nde --add-only-show-in=X-Nde \
    %{buildroot}%{_datadir}/applications/nde-config-${cfgapp}.desktop
fi
done
desktop-file-edit \
    --remove-category=Nde --add-category=X-Nde \
    --remove-category=Help --add-category=X-Help \
    --remove-only-show-in=Nde --add-only-show-in=X-Nde \
    %{buildroot}%{_datadir}/applications/nde-config.desktop


%find_lang nde-config --with-qt
%find_lang nde-config-appearance --with-qt
%find_lang nde-config-brightness --with-qt
%find_lang nde-config-cursor --with-qt
%find_lang nde-config-file-associations --with-qt
%find_lang nde-config-input --with-qt
%find_lang nde-config-locale --with-qt
%find_lang nde-config-monitor --with-qt

%files
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_bindir}/nde-config
%{_bindir}/nde-config-brightness
%{_bindir}/nde-config-appearance
%{_bindir}/nde-config-file-associations
%{_bindir}/nde-config-input
%{_bindir}/nde-config-monitor
%{_bindir}/nde-config-locale
%{_datadir}/applications/nde-config-appearance.desktop
%{_datadir}/applications/nde-config-file-associations.desktop
%{_datadir}/applications/nde-config-input.desktop
%{_datadir}/applications/nde-config-monitor.desktop
%{_datadir}/applications/nde-config-locale.desktop
%{_datadir}/applications/nde-config.desktop
%{_datadir}/applications/nde-config-brightness.desktop
%{_libdir}/nde-config/libnde-config-cursor.so
%{_datadir}/icons/*/*
%{_datadir}/nde/icons/*
%config(noreplace) %{_sysconfdir}/xdg/menus/nde-config.menu
%{_mandir}/man1/nde-config*

%files l10n -f nde-config.lang -f nde-config-appearance.lang -f nde-config-brightness.lang -f nde-config-cursor.lang -f nde-config-file-associations.lang -f nde-config-input.lang -f nde-config-locale.lang -f nde-config-monitor.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/nde-config
%dir %{_datadir}/nde/translations/nde-config-appearance
%dir %{_datadir}/nde/translations/nde-config-brightness
%dir %{_datadir}/nde/translations/nde-config-cursor
%dir %{_datadir}/nde/translations/nde-config-file-associations
%dir %{_datadir}/nde/translations/nde-config-input
%dir %{_datadir}/nde/translations/nde-config-locale
%dir %{_datadir}/nde/translations/nde-config-monitor

%changelog
* Mon Nov 02 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.0.1-13
- 修复屏蔽ZTE云桌面或者虚拟机的分辨率设置入口的bug

* Mon Oct 26 2020 zhou tuan <zhou.tuan@gd-linux.com.cn> - 0.0.1-12
- 修改控制中心的配置文件为/etc/nde/nde.conf文件

* Mon Oct 19 2020 zhou tuan <zhou.tuan@gd-linux.com.cn> - 0.0.1-11 
- 统一ZTE的判断标准

* Wed Sep 30 2020 zhou tuan <zhou.tuan@gd-linux.com.cn> - 0.0.1-10
- 屏蔽ZTE云桌面和虚拟机在配置中心的监视器设置入口

* Tue Sep 22 2020 zhou tuan <zhou.tuan@gd-linux.com.cn> - 0.0.1-9
- 屏蔽ZTE云桌面或者虚拟机的分辨率设置接口

* Wed Sep 16 2020 Wu Jiaheng <wu.jiaheng@gd-linux.com.cn> - 0.0.1-8
- 添加居中

* Thu Sep 10 2020 Wu Jiaheng <wu.jiaheng@gd-linux.com.cn> - 0.0.1-7
- 添加汉化

* Fri Jul 31 2020 Wu Jiaheng <wu.jiaheng@gd-linux.com.cn> - 0.0.1-6
- 调整大小

* Wed Jul 15 2020 He Leilei <he.leilei@gd-linux.com.cn> - 0.0.1-5
- 设置项都添加到设置界面中

* Sun Jun 28 2020 Zhang Wen <zhang.wen@gd-linux.com.cn> - 0.0.1-4
- 删除不需要的配置

* Wed Jun 3 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.0.1-2
- Modify the Chinese name display of the setting interface

* Wed May 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- 组件重命名(984)


